获取头条列表
GET
/topics
获取支持可选筛选条件的分页头条列表。
授权
ApiKeyAuth
API key authentication. Format: cp_{env}v1{random}_{checksum}. Example: cp_prod_v1_xxxxxxxxxx_xx
类型
API Key (header: CP-X-API-KEY)
参数
查询参数
category
Filter by category (0=Breaking, 1=Important, 2=Normal)
类型
integer
有效值
012示例
0page
Page number
类型
integer
示例
1最小值
1默认
1page_size
Number of items per page
类型
integer
示例
20最小值
1默认
20lang
Language code
类型
string
有效值
"en""ja""zh"示例
"en"默认
"en"filter
Filter topics where the selected boolean field is true
类型
string
有效值
"financial""crypto"示例
"crypto"publish_before
Filter by topics published before this date (RFC3339 format)
类型
string
示例
"2026-03-12T09:45:44Z"格式
"date-time"publish_after
Filter by topics published after this date (RFC3339 format)
类型
string
示例
"2026-03-10T09:45:44Z"格式
"date-time"响应
Successful response
application/json
JSON "code": 0, "message": "ok", "data": [ { "id": 1, "title": "Bitcoin hits new high", "subtitle": "crypto", "summary": "market analysis summary", "summary_bullets": [ [ "Bitcoin reached a new high", "Trading volume increased", "Market sentiment remained bullish" ] ], "category": 0, "lang": "en", "published_at": "2026-01-01T10:00:00Z", "url": "https://coinpost.ai/topics/1" } ], "total": 100
{
}
